//============================================================================
//
//   SSSS    tt          lll  lll
//  SS  SS   tt           ll   ll
//  SS     tttttt  eeee   ll   ll   aaaa
//   SSSS    tt   ee  ee  ll   ll      aa
//      SS   tt   eeeeee  ll   ll   aaaaa  --  "An Atari 2600 VCS Emulator"
//  SS  SS   tt   ee      ll   ll  aa  aa
//   SSSS     ttt  eeeee llll llll  aaaaa
//
// Copyright (c) 1995-1998 by Bradford W. Mott
//
// See the file "license" for information on usage and redistribution of
// this file, and for a DISCLAIMER OF ALL WARRANTIES.
//
// Lightgun by Mathias Agopian, 2000
//============================================================================

#ifndef LIGHTGUN_HXX
#define LIGHTGUN_HXX

#include "bspf.hxx"
#include "Control.hxx"

class Lightgun : public Controller
{
public:
	Lightgun(Jack jack, const Event& event);
	virtual ~Lightgun();
	
public:
	virtual bool read(DigitalPin pin);
	virtual Int32 read(AnalogPin pin);
	virtual void write(DigitalPin pin, bool value);

private:
	unsigned long fReadCount;
};
#endif

